//many tutorials for blockomon

if(!isObject(blockoGuiHelpFile))
	exec("./BlockoGuiHelpFile.gui");

if (!$addedBlockoMaps)
{
	$remapDivision[$remapCount] = "Blockomon";
	$remapName[$remapCount] = "Toggle Blockomon Help Window";
	$remapCmd[$remapCount] = "toggleBlockoWindow";
	$remapCount++;
	$remapName[$remapCount] = "Start Wild Battle";
	$remapCmd[$remapCount] = "dobattle";
	$remapCount++;
	$addedBlockoMaps = true;
}

function toggleBlockoWindow(%val)
{
	if(%val){
		if(blockoGuiHelpFile.isAwake()){
			canvas.popdialog(blockoGuiHelpFile);
		}else{
			canvas.pushdialog(blockoGuiHelpFile);
		}
	}
}

function dobattle(%val)
{
if(%val){
commandtoserver('battle');
}
}

function BlockoHelpTopicList::onWake(%this)
{
%this.clear();
%this.addRow(1, "1. Introduction", 1);
%this.addRow(2, "2. Catching", 2);
%this.addRow(3, "3. Battling", 3);
%this.addRow(4, "4. Commands", 4);
%this.addRow(5, "5. Stats and Exp", 5);
%this.addRow(6, "6. Rules", 6);
%this.addRow(7, "7. Update Notes", 7);
%this.addRow(8, "8. Credits", 8);
}

function BlockoHelpTopicList::onSelect(%this, %id, %text)
{
if(!isFile("Add-Ons/GUI_BlockomonHelp/" @ %id @ ".txt")){
error("File not found!");
return;
}

%file = new FileObject();
%file.openforread("Add-Ons/GUI_BlockomonHelp/" @ %id @ ".txt");
while(!%file.isEOF()){
%line = %file.readLine();
error("line: " @ %line);
if(%str !$= ""){
%str = %str @ "\n" @ "  " @  %line;
}else{
%str = "  " @ %line;
}
}
HelpTxtWindow.setValue(%str);
%file.close();
%file.delete();
}
